import { Module } from "@nestjs/common";
import { AuthorsController } from "apps/backend/src/app/authors/authors.controller";
import { AuthorsService } from "apps/backend/src/app/authors/authors.service";
import { CredentialsModule } from "apps/backend/src/app/credentials/credentials.module";
import { DbModule } from "apps/backend/src/app/db/db.module";

@Module({
	imports: [DbModule, CredentialsModule],
	controllers: [AuthorsController],
	providers: [AuthorsService],
})
export class AuthorsModule {}
